
%global meadversion 1.2.5
%global namedversion 1.2.5.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-classfilewriter}
%{!?scl:%global pkg_name %{name}}


%define maven_version 1.2.5.Final-redhat-00001

Name:           %{?scl_prefix}jboss-classfilewriter
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:        A bytecode writer that creates .class files at runtime
License:        ASL 2.0
URL:            https://github.com/jbossas/jboss-classfilewriter
Group:          Development/Libraries

%if %with mead
Source100: jboss-classfilewriter-1.2.5.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-classfilewriter-1.2.5.Final-redhat-00001.jar
Source103: jboss-classfilewriter-1.2.5.Final-redhat-00001-sources.jar
Source104: jboss-classfilewriter-1.2.5.Final-redhat-00001.pom
%endif


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
A bytecode writer that creates .class files at runtime

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-classfilewriter-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-classfilewriter-%{namedversion}.jar %{buildroot}%{_javadir}
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-classfilewriter-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%endif
%{__cp} -p %{_sourcedir}/jboss-classfilewriter-%{namedversion}-sources.jar %{buildroot}%{_javadir}
   
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-classfilewriter-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jboss-classfilewriter-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-classfilewriter-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-classfilewriter-%{namedversion}/META-INF
%{__ln_s} jboss-classfilewriter-%{namedversion} %{buildroot}%{_javadocdir}/jboss-classfilewriter
%endif

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-classfilewriter-%{namedversion}.jar
%{_javadir}*/jboss-classfilewriter.jar
%if %with javadoc
%{_javadir}/jboss-classfilewriter-%{namedversion}-javadoc.jar
%{_javadir}/jboss-classfilewriter-javadoc.jar
%endif
%{_javadir}*/jboss-classfilewriter-%{namedversion}-sources.jar
%{_javadir}*/jboss-classfilewriter-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-classfilewriter-%{namedversion}
%{_javadocdir}/jboss-classfilewriter
%endif

%changelog
* Tue Nov 30 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.2.5-1.Final_redhat_00001.1
Built by CPaaS

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 1.2.4-1.Final_redhat_00001.1
- 1.2.4.Final_redhat_00001

* Thu Aug 09 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.2.3-1.Final_redhat_00001.1
- upgrade to 1.2.3.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.2.2-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.2.2-1.Final_redhat_1.1
- upgrade to 1.2.2.Final-redhat-1

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.2.1-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 1.2.1-1.Final_redhat_1.1
- update to version 1.2.1.Final

* Fri Jul 17 2015 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.Final_redhat_1.1
- 1.1.2.Final

* Tue Jun 23 2015 Permaine Cheung <pcheung@redhat.com> - 1.1.0-1.Final_redhat_1.1
- EAP 7 build

* Mon Dec 08 2014 Hui Wang <huwang@redhat.com> - 1.0.3-3.Final_redhat_2.1
- OSGI fix rebuild

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3-2.Final_redhat_1
- Rebuild for MD5

* Sat Aug 25 2012 Hui Wang <huwang@redhat.com> - 1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.2-3.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-2.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Hui Wang <huwang@redhat.com> - 1.0.2-2.Final_redhat_1
- Add README file

* Wed May 02 2012 Hui Wang <huwang@redhat.com> - 1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Mon Mar 26 2012 Hui Wang <huwang@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Upgrade to 1.0.1.Final

* Wed Mar 14 2012 Hui Wang <huwang@redhat.com> - 1.0.0-6.Final_redhat_1.1
- New wrapper
- Remove extra %%{name} from installing path

* Tue Feb 28 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.Final_redhat_1.2
- Populate javadir-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-5.Final_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Hui Wang <huwang@redhat.com> - 1.0.0-4.Final_redhat_1
- Wrapper RPM build

* Mon Aug 29 2011 Hui Wang <huwang@redhat.com> - 1.0.0-3.GA
- Change version from 1.0.0.Final-redhat-1 to 1.0.0.GA-redhat-1

* Tue Aug 16 2011 Hui Wang <huwang@redhat.com> - 1.0.0-2.Final
- Use vman to patch pom

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
